import React, { Component } from 'react'
import Base from '../common/Base'
import DockerIcon from '../icons/DockerIcon'
import Typography from 'material-ui/Typography'
import { withStyles } from 'material-ui/styles'

const styles = theme => ({
    root: {

    },
    icon: {
        width: '5em',
        height: '5em'
    }
})

class Welcome extends Component {
    /**
     * 
     */
    render() {
        const { classes } = this.props

        return (
            <Base title={this.props.title}>
                <DockerIcon className={classes.icon} />
                <Typography align='center' variant='headline' color='primary'>Bienvenido al Sistema de Automatización</Typography>
            </Base>
        )
    }
}

export default withStyles(styles)(Welcome)